build: off
cache:
    - c:\php -> appveyor.yml
    - '%LOCALAPPDATA%\Composer\files -> appveyor.yml'

clone_folder: c:\projects\http

init:
    - SET PATH=c:\php;%PATH%
    - SET PHP=1
    - SET ANSICON=121x90 (121x90)

install:
    # Install PHP
    - IF EXIST c:\php (SET PHP=0) ELSE (mkdir c:\php)
    - IF %PHP%==1 cd c:\php
    - IF %PHP%==1 curl https://windows.php.net/downloads/releases/archives/php-7.1.0-Win32-VC14-x64.zip --output php.zip
    - IF %PHP%==1 7z x php.zip >nul
    - IF %PHP%==1 echo extension_dir=ext >> php.ini
    - IF %PHP%==1 echo extension=php_openssl.dll >> php.ini
    - IF %PHP%==1 del /Q *.zip
    - cd c:\projects\http

    # Install Nette Tester
    - appveyor DownloadFile https://getcomposer.org/composer.phar
    - php composer.phar install --prefer-dist --no-interaction --no-progress

test_script:
    - vendor\bin\tester tests -s -c tests\php-win.ini

on_failure:
    # Print *.actual content
    - for /r %%x in (*.actual) do ( type "%%x" )
